- Qt 6.8
- Qt Serial Bus
- C++ Classes
- MultiplexValueRange
- Qt 6.8.3 Reference Documentation

# MultiplexValueRange Struct

struct QCanSignalDescription::MultiplexValueRange

Defines a range of values for a multiplexor signal. More...

This struct was introduced in Qt 6.5.

- List of all members, including inherited members

## Public Variables

QVariant | maximum
QVariant | minimum

## Detailed Description

Each multiplexor signal can have several ranges of values assigned to it. This type represents one range. Both minimum and maximum values are included in the range. Minimum and maximum values can be equal, so a MultiplexValueRange is never empty. If maximum is less than minimum, the values will be swapped while doing the range check.

See also Multiplexed Signals Explained.

## Member Variable Documentation

### QVariant MultiplexValueRange::maximum

This variable holds the maximum value of the range.

### QVariant MultiplexValueRange::minimum

This variable holds the minimum value of the range.